<div class="p-4 bg-white">
  <form>
    <div class="row">
      <div class="col-4">
        <mat-form-field>
          <mat-label>Nom</mat-label>
          <input matInput>
        </mat-form-field>
      </div>
      <div class="col-4">
        <mat-form-field>
          <mat-label>Prénom</mat-label>
          <input matInput>
        </mat-form-field>
      </div>
      <div class="col-4">
        <mat-form-field>
          <mat-label>Logo</mat-label>
          <input matInput>
        </mat-form-field>
      </div>
    </div>
    <div class="row">
      <div class="col-6">
        <mat-form-field>
          <mat-label>Siret</mat-label>
          <input matInput>
        </mat-form-field>
      </div>
      <div class="col-6">
        <mat-form-field >
          <mat-label>Domaine technique d’intervention</mat-label>
          <mat-select>
            <mat-option *ngFor="let domaine of domaines" [value]="domaine.value">
              {{domaine.viewValue}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </div>
    <div class="row">
      <table mat-table [dataSource]="dataSource">
        <ng-container matColumnDef="nom">
          <th mat-header-cell *matHeaderCellDef> Nom de chantier </th>
          <td mat-cell *matCellDef="let element"> {{element.nom}} </td>
        </ng-container>
        <ng-container matColumnDef="ville">
          <th mat-header-cell *matHeaderCellDef> Ville </th>
          <td mat-cell *matCellDef="let element"> {{element.ville}} </td>
        </ng-container>

        <ng-container matColumnDef="actions">
          <th mat-header-cell *matHeaderCellDef> Èvaluation </th>
          <td mat-cell *matCellDef="let element">
            <button mat-icon-button (click)="''">
              <mat-icon>visibility</mat-icon>
            </button>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
    </div>
  </form>
</div>
<div>
  <button mat-button color="primary" [routerLink]="'/back-office/sous-traitant/create'">
    Enregistrer
  </button>
  <button mat-button color="primary" [routerLink]="'/back-office/sous-traitant/create'">
    Annuler
  </button>
</div>
